Loading...
Searching...
No Matches
serialization.h File Reference

Serialization functions for ISMRMRD data structures. More...

`#include <exception>`
`#include <iostream>`
`#include "ismrmrd/export.h"`
`#include "ismrmrd/ismrmrd.h"`
`#include "ismrmrd/waveform.h"`
`#include "ismrmrd/xml.h"`

Go to the source code of this file.

## Classes

class | ISMRMRD::ReadableStreamView
class | ISMRMRD::WritableStreamView
struct | ISMRMRD::ConfigFile
struct | ISMRMRD::ConfigText
struct | ISMRMRD::TextMessage
class | ISMRMRD::ProtocolStreamClosed
class | ISMRMRD::ProtocolSerializer
class | ISMRMRD::ProtocolDeserializer

## Enumerations

enum | ISMRMRD_MESSAGE_ID { ISMRMRD_MESSAGE_UNPEEKED = 0 , ISMRMRD_MESSAGE_CONFIG_FILE = 1 , ISMRMRD_MESSAGE_CONFIG_TEXT = 2 , ISMRMRD_MESSAGE_HEADER = 3 , ISMRMRD_MESSAGE_CLOSE = 4 , ISMRMRD_MESSAGE_TEXT = 5 , ISMRMRD_MESSAGE_ACQUISITION = 1008 , ISMRMRD_MESSAGE_IMAGE = 1022 , ISMRMRD_MESSAGE_WAVEFORM = 1026 , ISMRMRD_MESSAGE_NDARRAY = 1030 }

## Functions

EXPORTISMRMRD void | ISMRMRD::serialize (const Acquisition &acq, WritableStreamView &ws)
template<typename T>
EXPORTISMRMRD void | ISMRMRD::serialize (const Image< T > &img, WritableStreamView &ws)
EXPORTISMRMRD void | ISMRMRD::serialize (const Waveform &wfm, WritableStreamView &ws)
EXPORTISMRMRD void | ISMRMRD::serialize (const ConfigFile &cfg, WritableStreamView &ws)
EXPORTISMRMRD void | ISMRMRD::serialize (const std::string &str, WritableStreamView &ws)
template<typename T>
EXPORTISMRMRD void | ISMRMRD::serialize (const NDArray< T > &arr, WritableStreamView &ws)
EXPORTISMRMRD void | ISMRMRD::deserialize (Acquisition &acq, ReadableStreamView &rs)
template<typename T>
EXPORTISMRMRD void | ISMRMRD::deserialize (Image< T > &img, ReadableStreamView &rs)
EXPORTISMRMRD void | ISMRMRD::deserialize (Waveform &wfm, ReadableStreamView &rs)
EXPORTISMRMRD void | ISMRMRD::deserialize (ConfigFile &cfg, ReadableStreamView &rs)
EXPORTISMRMRD void | ISMRMRD::deserialize (std::string &str, ReadableStreamView &rs)
template<typename T>
EXPORTISMRMRD void | ISMRMRD::deserialize (NDArray< T > &arr, ReadableStreamView &rs)

## Detailed Description

Serialization functions for ISMRMRD data structures.

This file contains functions for serializing and deserializing ISMRMRD data The standalone function that serialize to and deserialize from a stream will serrialize the data structures without adding "message id" identifiers. The ProtocolSerializer and ProtocolDeserializer classes are used to to create streams that include the message id in front of each message.